## NAME

d.text.freetype - Draws text in the active display frame on the graphics monitor using TrueType fonts.
(GRASS Display Program)

## SYNOPSIS

d.text.freetype
d.text.freetype help
d.text.freetype text=name [east_north=east,north] [font=name] [path=name] [charset=name] [color=name] [size=value]

## DESCRIPTION

d.text.freetype draws text in the active display frame on the graphics monitor using TrueType fonts.

### Parameters:

text=name
  Text to be displayed.
east_north=east,north
  Locates text at this point. The user can click on the location instead of using this option.
font=name
  Specifies a font with a fontname in the definition file, freetypecap.
path=name
  Specifies a font with full pathname.
charset=name
  Sets character encoding for input text.
color=name
  Sets text color to name.
  Options: red, orange, yellow, green, blue, indigo, violet, gray, white, and black
  Default: gray
  It can also be a hexadecimal value of 0xRRGGBB.
size=value
  Sets text height in pixels.
  Default: 30

## DEFINITION FILE

To help users select fonts conveniently, the definition file, $(GISBASE)/etc/freetypecap, is provided. Its format is as follows:

    	font:fontpath:charset:color:size:description
    	*default_font:fontpath:charset:color:size:description

See the file for examples.

## SEE ALSO

d.text
d.font
d.title
show.fonts.sh
parser

## AUTHOR

Huidae Cho <grass@geni.cemtlo.com>

Last changed: $Date: 2002/05/13 07:41:59 $